<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table15', function (Blueprint $table) {
            $table->id('DatasetTable15Id');
            $table->integer('dataset_id');
            $table->string('lokasi')->nullable();
            $table->string('jenis_bahan_galian')->nullable();
            $table->string('nama_perusahaan')->nullable();
            $table->float('luas_penambangan')->default(0);
            $table->float('luas_area_produksi')->default(0);
            $table->float('produksi')->default(0);
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table15s');
    }
};
